- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
MSPUBCollector.cpp File Reference
`#include <math.h>`
`#include <unicode/ucsdet.h>`
`#include "MSPUBCollector.h"`
`#include "libmspub_utils.h"`
`#include "MSPUBConstants.h"`
`#include "MSPUBTypes.h"`
`#include "PolygonUtils.h"`
`#include "Coordinate.h"`

## Macros
#define | M_PI 3.14159265358979323846

## Functions
libmspub::Coordinate | getFudgedCoordinates (libmspub::Coordinate coord, const std::vector< libmspub::Line > &lines, bool makeBigger, libmspub::BorderPosition borderPosition)
void | no_op ()
void | endShapeGroup (librevenge::RVNGDrawingInterface *painter)

## Macro Definition Documentation

#define M_PI 3.14159265358979323846

Referenced by libmspub::MSPUBCollector::getCalculationValue(), libmspub::MSPUBCollector::paintShape(), and libmspub::MSPUBCollector::setupShapeStructures().

## Function Documentation

void endShapeGroup | ( | librevenge::RVNGDrawingInterface * | painter | ) |

Referenced by libmspub::MSPUBCollector::paintShape().

libmspub::Coordinate getFudgedCoordinates | ( | libmspub::Coordinate | coord,
|  | const std::vector< libmspub::Line > & | lines,
|  | bool | makeBigger,
|  | libmspub::BorderPosition | borderPosition
| ) |  |

Referenced by libmspub::MSPUBCollector::paintShape().

void no_op | ( |  | ) |

Referenced by libmspub::MSPUBCollector::paintShape().